<!-- Creado: Jorge Antonio Mendoza Salazar, 10/03/2017. Se crea la la vista. -->

<?php
  use App\Libraries\ejLib;
  $var = ejLib::getInstance();
  $soapclient = $var->getWs();
  $wsClave = $var->get_wsClave();
?>
<script src="js/jquery-3.1.0.min.js"></script>
<script src="js/jqv/dist/jquery.validate.js"></script>
<script src="js/validar/root.js"></script>
<script src="js/notify.js"></script>


<script>
  $(document).ready(function() {
    ///////////////////////////////////////////////////////////////////////////////////////
    //                                    Guardar Cuenta
    ///////////////////////////////////////////////////////////////////////////////////////
    $(function() {
      $("#btn_guardar_cae2").click(function() {
        $.ajax({
          type: "POST",
          url: 'administrar_estilos-AdministrarEstilosCSS_add_Estilo',
          data: $("#css_agregar_cae2").serialize(),
          success: function(data) {
            xmlDoc = $.parseXML( data ),
            $xml = $( xmlDoc );
            $($xml).each(function() {
              var error = ($(this).find("Respuesta>error").text());
              var titulo = ($(this).find("Respuesta>titulo").text());
              var descripcion = ($(this).find("Respuesta>descripcion").text());

              if(error==0) {
                $.notify("Registro insertado exitosamente", "success");
                $('#css_agregar_cae2')[0].reset();
              }
              if(error==1) {
                $.notify(descripcion, "error");
                $.notify(titulo, "error");
              }
            });
          },
          error : function(xhr, status) {
            $.notify("No se pudo realizar el registro", "error");
          },
        });
        return false;
      });
    });

    $( ".cerrar_form" ).click(function() {
      jqGetAjax("cerrar","tblMovimientos", { });
    });
  });
</script>

<form id="css_agregar_cae2">
  <input type="hidden" name="_token" value="{{csrf_token()}}">

  <div class="row">
    <div class="titulo_fondo">
      <img src="Img/close.png" height="20" class="cerrar_form" />
      <div class="titulo_pagina2">AGREGAR NUEVO ESTILO</div>
    </div>
  </div>

  <div class="row">
    <div class="form-group-sm input-group-sm col-md-5">
      <label>URL:</label>
      <div class="input-group input-group-sm">
        <input type="text" class="form-control" name="url" id="url">
        <span class="input-group-btn">
          <input class="btn btn-secondary" type="file" class="form-control" name="urlf" id="urlf" >
        </span>
      </div>
      <br>

      <label>Título:</label>
      <input type="text" class="form-control" name="titulo" id="titulo"  placeholder="Máximo 200 caracteres" />
    </div>

    <div class="form-group-sm col-md-offset-1 col-md-4">
      <label class="col-md-offset-1">Descripción:</label>
      <textarea id="descripcion" name="descripcion" class="col-md-offset-1" rows="5" cols="60"></textarea><br />
    </div>
  </div>
  <br>

  <div class="sombra_cm">
    <div class="form-group-sm">
      <button type="submit" id="btn_guardar_cae2">Guardar</button>
    </div>
  </div>
</form>
